nxt.ae

## Class Asset

- java.lang.Object
- - nxt.ae.Asset

-     public final class Asset
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Asset.AssetProperty`
    `static class` | `Asset.Event`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ASSET_FREEZE_HEIGHT_PROPERTY`
    `static java.lang.String` | `ASSET_MIGRATE_HEIGHT_PROPERTY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `addListener(Listener<Asset.AssetProperty> listener, Asset.Event eventType)`
    `static void` | `deleteProperty(long propertyId)`
    `long` | `getAccountId()`
    `DbIterator<Account.AccountAsset>` | `getAccounts(int from, int to)`
    `DbIterator<Account.AccountAsset>` | `getAccounts(int height, int from, int to)`
    `static DbIterator<Asset>` | `getAllAssets(int from, int to)`
    `static Asset` | `getAsset(long id)`
    `static Asset` | `getAsset(long id, int height)`
    `static DbIterator<Asset>` | `getAssetsIssuedBy(long accountId, int from, int to)`
    `DbIterator<AssetTransfer>` | `getAssetTransfers(int from, int to)`
    `static int` | `getCount()`
    `byte` | `getDecimals()`
    `java.lang.String` | `getDescription()`
    `long` | `getId()`
    `java.lang.String` | `getName()`
    `static DbIterator<Asset.AssetProperty>` | `getProperties(long assetId, long setterId, java.lang.String property, int firstIndex, int lastIndex)`
    `static Asset.AssetProperty` | `getProperty(long propertyId)`
    `Asset.AssetProperty` | `getProperty(long setterId, java.lang.String property)`
    `long` | `getQuantityQNT()`
    `DbIterator<TradeHome.Trade>` | `getTrades(ChildChain childChain, int from, int to)`
    `boolean` | `hasPhasingControl()`
    `static void` | `importAsset(long assetId, long issuerId, java.lang.String name, java.lang.String description, byte decimals, long quantityQNT)`
    `static void` | `init()`
    `static boolean` | `removeListener(Listener<Asset.AssetProperty> listener, Asset.Event eventType)`
    `static DbIterator<Asset>` | `searchAssets(java.lang.String query, int from, int to)`
    `void` | `setProperty(long transactionId, Account senderAccount, java.lang.String property, java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ASSET_FREEZE_HEIGHT_PROPERTY

          public static final java.lang.String ASSET_FREEZE_HEIGHT_PROPERTY

      See Also:
        Constant Field Values

    - #### ASSET_MIGRATE_HEIGHT_PROPERTY

          public static final java.lang.String ASSET_MIGRATE_HEIGHT_PROPERTY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getAllAssets

          public static DbIterator<Asset> getAllAssets(int from,
                                                       int to)

    - #### getCount

          public static int getCount()

    - #### getAsset

          public static Asset getAsset(long id)

    - #### getAsset

          public static Asset getAsset(long id,
                                       int height)

    - #### getAssetsIssuedBy

          public static DbIterator<Asset> getAssetsIssuedBy(long accountId,
                                                            int from,
                                                            int to)

    - #### searchAssets

          public static DbIterator<Asset> searchAssets(java.lang.String query,
                                                       int from,
                                                       int to)

    - #### importAsset

          public static void importAsset(long assetId,
                                         long issuerId,
                                         java.lang.String name,
                                         java.lang.String description,
                                         byte decimals,
                                         long quantityQNT)

    - #### init

          public static void init()

    - #### getId

          public long getId()

    - #### getAccountId

          public long getAccountId()

    - #### getName

          public java.lang.String getName()

    - #### getDescription

          public java.lang.String getDescription()

    - #### getQuantityQNT

          public long getQuantityQNT()

    - #### getDecimals

          public byte getDecimals()

    - #### hasPhasingControl

          public boolean hasPhasingControl()

    - #### getAccounts

          public DbIterator<Account.AccountAsset> getAccounts(int from,
                                                              int to)

    - #### getAccounts

          public DbIterator<Account.AccountAsset> getAccounts(int height,
                                                              int from,
                                                              int to)

    - #### getTrades

          public DbIterator<TradeHome.Trade> getTrades(ChildChain childChain,
                                                       int from,
                                                       int to)

    - #### getAssetTransfers

          public DbIterator<AssetTransfer> getAssetTransfers(int from,
                                                             int to)

    - #### addListener

          public static boolean addListener(Listener<Asset.AssetProperty> listener,
                                            Asset.Event eventType)

    - #### removeListener

          public static boolean removeListener(Listener<Asset.AssetProperty> listener,
                                               Asset.Event eventType)

    - #### setProperty

          public void setProperty(long transactionId,
                                  Account senderAccount,
                                  java.lang.String property,
                                  java.lang.String value)

    - #### getProperty

          public static Asset.AssetProperty getProperty(long propertyId)

    - #### getProperty

          public Asset.AssetProperty getProperty(long setterId,
                                                 java.lang.String property)

    - #### getProperties

          public static DbIterator<Asset.AssetProperty> getProperties(long assetId,
                                                                      long setterId,
                                                                      java.lang.String property,
                                                                      int firstIndex,
                                                                      int lastIndex)

    - #### deleteProperty

          public static void deleteProperty(long propertyId)